FMOD(3)

NAME
fmod, fmodf - floating-point remainder functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
fmod(double x, double y);
float
fmodf(float x, float y);

DESCRIPTION
The fmod() and the fmodf() functions compute the floating-point remainder of x/ y.

RETURN VALUES
The fmod() and the fmodf() functions return the value x-i*y, for some integer i such that, if y is non-zero, the result has the same sign as x and magnitude less than the magnitude of y. If y is zero, whether a domain error occurs or the fmod() and the fmodf() function returns zero is implementation-defined.

SEE ALSO
math(3)

STANDARDS
The fmod() function conforms to isoC.